Bug 869366 - Product ID missing from Product Details in gui
Product ID missing from Product Details in gui
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: candlepin-bugs
Depends On:
Blocks: 771481
  Show dependency treegraph
Reported: 2012-10-23 13:19 EDT by J.C. Molet
Modified: 2012-11-09 16:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-09 16:21:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description J.C. Molet 2012-10-23 13:19:42 EDT
Description of problem:
The product ID seems to be missing from the Product Details in subscription-manager-gui.  This information is given in subscription-manager list --installed, and the gui/cli should both give the same information.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Fire up subscription-manager-gui
2.  Make sure you have a product installed
3.  Compare the outputs of the fields given in the cli "subscription-manager list --installed" and the fields given in the 'My Installed Products' tab of subscription-manager-gui
Actual results:
All fields are given except for the ProductID field.

Expected results:
The gui and cli both show the same fields.

Additional info:
Please add the appropriate at-spi label for the text field (ie "Product ID Text" or similar) so that automation can test for this.
Comment 1 Bryan Kearney 2012-10-29 16:13:30 EDT
Matt, Can you please comment on this. I believe we removed this per your direction in the RHEL 5.9 time frame.
Comment 2 Matt Reid 2012-10-30 11:24:38 EDT
I believe the argument against it was that seeing Product ID: 69 didn't mean anything to customers, and that if they ever needed it (likely due to a support call) we could either direct them to the CLI or gather it from an sosreport. I think it was removed accidentally in one of the updates to that details pane, and when we talked about putting it back, we weren't able to come up with a very compelling reason to have it. 

If we need to revisit that decision, we can certainly do that. Does showing it provide any benefit, other than keeping displayed information consistent between CLI and GUI?
Comment 3 Bryan Kearney 2012-11-09 16:21:03 EST
TBH, I have no issue with the CLI providing more data. Closing htis out.

Note You need to log in before you can comment on or make changes to this bug.